org.eclipse.emf.cdo.server.spi.security

## Class SecurityManagerFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory

- All Implemented Interfaces:
    IFactory
  Direct Known Subclasses:
    SecurityManagerFactory.Annotation, SecurityManagerFactory.Default

      public abstract class SecurityManagerFactory
      extends Factory

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SecurityManagerFactory.Annotation` Deprecated. As of 4.3 use `SecurityManagerFactory.Default` with a description like "realmPath:annotation".
    `static class` | `SecurityManagerFactory.Default` If the meaning of this type isn't clear, there really should be more of a description here...

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityManagerFactory(java.lang.String type)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ISecurityManager` | `create(java.lang.String realmPath)`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SecurityManagerFactory

          public SecurityManagerFactory(java.lang.String type)

  - ### Method Detail

    - #### create

          public abstract ISecurityManager create(java.lang.String realmPath)
                                           throws ProductCreationException

      Throws:
        `ProductCreationException`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html